import { WeaTools } from "ecCom";
import { postFetch } from "../util/request";

//高级搜索条件
export const getSearchCondition = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/specialAddDeduction/getSearchCondition", "GET", params);
};
// 获取专项附加扣除列表
export const specialAddDeductionList = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/list', params);
}
// 新增专项附加扣除
export const specialAddDeductionCreateData = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/createData', params);
}
// 编辑专项附加扣除
export const specialAddDeductionEditData = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/editData', params);
}
// 查看明细
export const specialAddDeductionGetDetailList = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/getDetailList', params);
}
// 批量专项附加扣除
export const specialAddDeductionDeleteSelectData = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/deleteSelectData', params);
}
// 一键清空
export const specialAddDeductionDeleteAllData = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/deleteAllData', params);
}
// 查看单条信息
export const getSpecialAddDeduction = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/getSpecialAddDeduction', params);
}
// 导入预览
export const specialAddDeductionPreview = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/preview', params);
}
// 导入预览结果
export const specialAddDeductionImportData = (params) => {
  return postFetch('/api/bs/hrmsalary/specialAddDeduction/importData', params);
}
